# VkOffset3D(3) Manual Page

## Name

VkOffset3D - Structure specifying a three-dimensional offset

## C Specification

A three-dimensional offset is defined by the structure:

    typedef struct VkOffset3D {
        int32_t    x;
        int32_t    y;
        int32_t    z;
    } VkOffset3D;

## Members

- `x` is the x offset.

- `y` is the y offset.

- `z` is the z offset.

## Description

## See Also

VkBufferImageCopy, VkImageBlit, VkImageCopy, VkImageResolve, VkSparseImageMemoryBind

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.